[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# add(Tmatrix2_extended,extended):Tmatrix2_extended

Add scalar to two-dimensional extended precision matrix

## Declaration

Source position: matrix.pp line 585

`operator operator +(`
`const m: Tmatrix2_extended;`
`const x: extended`
`):Tmatrix2_extended;`

## Description

This operator allows you to add a scalar value to a matrix. The scalar is added to all elements of the matrix, the result is returned as a new vector.